@import url('https://fonts.googleapis.com/css2?family=Hina+Mincho&family=New+Tegomin&family=Yuji+Boku&family=Zen+Antique+Soft&display=swap');

* {
  margin: 0;
  padding: 0;
}

body {
  background-color: rgb(197, 215, 222);
  background-image: url(haikei.png);
  background-repeat: repeat;
  background-size: 35%;
}

p {
  font-family: "Hina Mincho", serif;
  font-weight: 400;
  font-style: normal;
}

a {
  font-family: "New Tegomin", serif;
  font-weight: 600;
  font-style: normal;
  font-size: 18px;
}

h1 {
  font-family: "Zen Antique Soft", serif;
  font-weight: 600;
  font-style: normal;
}


/* ナビゲーション */
.navbar {
  position: fixed;
  bottom:3px;
  z-index: 1000;
  left: -971px;
  transition-duration: 1.5s;
}

.navbar1 {
  left: -485px;
}

.navbar ul {
  display: flex;
  justify-content: space-evenly;
  list-style: none;
}

.navbar ul li {
  width: 150px;
  height: 30px;
  padding: 5px;
  display:block;
  background-color: rgb(92, 100, 103);
  margin: 0px 1px;
  text-align: center;
  border-radius: 5px;
}

.navbar ul li a {
  background-color: rgb(92, 100, 103);
  text-decoration: none;
  color: white;
}

/* ナビゲーション動作 */

.buttonwrap {
  width: 50px;
  height: 40px;
  position: relative;
}

#button {
  padding: 0;
  overflow: hidden;
  display: block;
  width: 50px;
  height: 40px;
  cursor: pointer;
}

#button span,
#button::before,
#button::after {
  margin: 0;
  position: absolute;
  display: block;
  top: 18.75px;
  right: 10px;
  width: 30px;
  height: 2.5px;
  background: white;
  border-radius: 1px;
}
#button span {
  overflow: hidden;
  z-index: 1;
  color: white;
}
#button::before {
  z-index: 2;
  transform: translate(0, -8px);
  content: "";
}
#button::after {
  z-index: 2;
  transform: translate(0, 8px);
  content: "";
}

#button span {
  opacity: 1;
  transition: opacity 1s 50ms;
}
#button::before,
#button::after {
  transition: transform 1s;
}

#button.active span {
  opacity: 0;
  transition: opacity 1s;
}
#button.active::before {
  transform: rotate(45deg);
}
#button.active::after {
  transform: rotate(-45deg);
}

/* トップ */
.headerbox {
  position: relative;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.headerbox>.toptext>p {
  width: 320px;
  margin-top: 80px;
  margin-bottom: 10px;
  border-radius: 50%;
  position: relative;
  z-index: 100;
}

/* 矢印 */
#yazirusi {
  width: 40px;
  height: 50px;
}

.scroll {
  animation: shakeY 5s infinite;
}

.scroll>p {
  font-size: 20px;
  text-align: center;
}

/* タイトルアニメーション */
@keyframes turn {
  0% {
  transform: rotate(0deg);
  }
  100% {
  transform: rotate(360deg);
  }
}


#title {
  width: 85vh;
  height: 16vh;
  position: absolute;
  animation: turn 13s ease-in-out 0s infinite;
  top: 50px;
  transform-origin:42.5vh 42.5vh;
  z-index: 1;
}

.title {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#bar,#bar-2{
  border: 5px dotted;
  border-color: transparent rgb(92, 100, 103) rgb(92, 100, 103) ;
  border-radius: 50%;
  position: absolute;
  animation: turn 13s ease-in-out 0s infinite;
  top: 50px;
  transform-origin:center;
  z-index: 0;
}
#bar {
  width: 85vh;
  height: 85vh;
}
#bar-2 {
  width: 80vh;
  height: 80vh;
}

/* セクション共通 */
.sectionbox {
  height: 100vh;
  position: relative;
  padding:1px;
}

.midasi {
  display: flex;
  justify-content: space-evenly;
  margin:5vh 10px;
  height: 55vh;
}

.text {
  width: 400px;
  height: 55vh;
}

.text>h1 {
  margin-bottom: 40px;
  font-size: 35px;
  font-weight: 400;
}
.text>p {
  font-size: 16px;
  font-family: "Hina Mincho", serif;
  font-weight: 400;
  font-style: normal;
}

.slide {
  height: 25vh;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: 5vh;
  background-color: rgb(153, 165, 170);
  /* background-image: url(haikei-1.png); */
}
.slide>img {
  height: 25vh;
  border: 1.5px solid white;
}

.topimg>img {
  height: 55vh;
}

.shop {
  width: fit-content;
  background-color: rgb(92, 100, 103);
  padding: 10px 20px;
  border-radius: 10px;
  margin-top: 30px;

}

.shop>p>a {
  color: white;
  text-decoration: none;
}


/* 矢印 */
.shop>p::after {
  content: "";
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: 10px;
  border: 6px solid transparent;
  border-right: 0 solid transparent;
  border-left: 15px solid white;
  border-radius: 1px;
  animation: flash 4s linear infinite;
}


/* テキストアニメーション */
#metaltext {
  animation-fill-mode: both;
  opacity: 0;
}

#protextext {
  animation-fill-mode: both;
  opacity: 0;
}

#woodtext {
  animation-fill-mode: both;
  opacity: 0;
}

#instatext {
  animation-fill-mode: both;
  opacity: 0;
}
#contasttext {
  animation-fill-mode: both;
  opacity: 0;
}

.activate {
  animation: fadeInLeft 1s ease-out;
  opacity: 1;
}

.activate1 {
  opacity: 0;
  animation: fadeOutLeft 1s ease-out;
}




/* 問い合わせページ */
.online {
  width: 200px;
  height: 100px;
  border-radius: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(92, 100, 103);
}

h2 {
  text-align: center;
  background-color: rgb(92, 100, 103);
}

.online>h2>a {
  background-color: rgb(92, 100, 103);
  color: white;
  text-decoration: none;
  font-size: 25px;
}

#online>h2>a{
  animation: flash 4s linear infinite;
}


/* お問合せフォーム */
form {
  width: 445px;
  height: 45vh;
  margin: 5vh 0;
  min-width: 9rem;
}
  
input, textarea {
  float: left;
  padding-left: 5px;
  width: 445px;
  height: 20px;
  max-width: 100%;
  border: none;
  margin: 0.5rem 0;
  border-radius: 0.3rem;
  
  &[type=submit] {
    padding-left: 0;
    background: green;
    color: #fff;
    width: 15%;
    float: right;
  }

  &::placeholder {
    color: darken(#f9f9f9, 50%);
  }

  &.error {
    background: red;
    color: #fff;
    &::placeholder {
      color: darken(red, 60%);
    }
  }
}
textarea {
  height: 10rem;
}
.captcha {
  float:left;
  input {
    float: right;
  }
  input[name=question] {
    width: 4rem;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    text-align: right;
    padding-right: 0;
  }
  [name=captcha] {
    width: 5rem;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    padding-left: 0.5rem;
    &::placeholder {
      text-align: center;
    }
  }
}

/* スライドショー */
.subimg {
  cursor: pointer;
  overflow: hidden;
  width: 200px;
  height: 150px;
}

.subimg>img:hover {
  transform: scale(1.1,1.1);
  transition:1s all;
}
.slideshow {
  position: fixed;
  top:0px;
  left:-100vw;
  width: 100vw;
  height: 100vh;
  background-color: rgb(197, 215, 222);
  z-index: 1000;
}

.works {
  position: absolute;
  top: calc((100vh - 500px)/2.0);
  left: calc((100vw - 900px)/2.0);
  width: 1000px;
  height: 550px;
}
.exp {
  opacity: 0;
}
.exp>p {
  color: white;
  position: absolute;
  bottom: 12px;
  background-color: rgb(92, 100, 103);
  padding: 3px 10px;
  width: 880px;
  font-size: 18px;
  border-radius: 5px;
  text-align: center;
}

.image {
  position: absolute;
  top:0px;
  left:0px;
  opacity:0;
}

#prevbutton {
  position: absolute;
  top:45vh;
  right: calc(900px + 30px + ( 100vw - 900px )/2.0);
  color: white;
  font-size: 24px;
  cursor: pointer;
}

#nextbutton {
  position: absolute;
  top:45vh;
  left: calc(900px + 30px + ( 100vw - 900px )/2.0);
  color: white;
  font-size: 24px;
  cursor: pointer;
}

.close {
  position: absolute;
  right: 15px;
  bottom: 50px;
  color: white;
  cursor: pointer;
  font-family: "Hina Mincho", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 25px;
  background-color: rgb(92, 100, 103);
  padding: 5px 10px;
  border-radius: 10px;
}



/* オンラインショップ */
.headerbox1 {
  position: relative;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.headerbox2 {
  height: 30vh;
}

.toptext1 {
  width: 100vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.title1{
  width: 60vw;
}
.shop1{
  margin: 100px 0;
}

.items {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}
.item {
  width: 350px;
  height: 350px;
}

.item p {
  text-align: right;
  padding-right: 30px;
}

.itemimg{
  overflow: hidden;
  width: 320px;
  height: 240px;
}

.item img {
  width: 320px;
}

.itemimg>img:hover {
  transform: scale(1.1,1.1);
  transition:1s all;
}


/* ニュース */
.news ul{
  margin-top: 100px;
  width: 1000px;
}
.news li{
  display: flex;
  padding:15px;
  border-bottom:1px solid #000;
}

.day{
  font-family: "Hina Mincho", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 20px;
  width: 120px;
}
.label{
  border-radius:3px;
  width: 100px;
  height: 30px;
  text-align: center;
  margin: 0 20px;
  color: white;
  text-decoration: none;
  font-size: 18px;
}
.red {
  background-color:red;
}
.blue {
  background-color:blue;
}
.newstext{
  font-family: "Hina Mincho", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 20px;
}